Bug 486465 - SELinux is preventing ifconfig (ifconfig_t) "read write" initrc_t.
SELinux is preventing ifconfig (ifconfig_t) "read write" initrc_t.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 16:36 EST by Raymond Fung
Modified: 2009-07-14 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Fung 2009-02-19 16:36:41 EST
Description of problem:

SELinux is preventing ifconfig (ifconfig_t) "read write" initrc_t.

SELinux denied access requested by ifconfig. It is not expected that this access
is required by ifconfig and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

This happens when a Fedora 9 Linux box running "heartbeat" (linux-ha.org) taking over the shared service IP address and tried to change some existing socket attributes.

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:system_r:ifconfig_t:s0
Target Context                unconfined_u:system_r:initrc_t:s0
Target Objects                socket [ unix_stream_socket ]
Source                        ifconfig
Source Path                   /sbin/ifconfig
Port                          <Unknown>
Host                          dc81
Source RPM Packages           net-tools-1.60-87.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-121.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     dc81
Platform                      Linux dc81 2.6.27.12-78.2.8.fc9.x86_64 #1 SMP Mon
                              Jan 19 19:25:03 EST 2009 x86_64 x86_64
Alert Count                   14
First Seen                    Fri Feb 20 04:42:53 2009
Last Seen                     Fri Feb 20 05:14:40 2009
Local ID                      662a9131-62c0-40ae-af0f-5ee904437e14
Line Numbers                  

Raw Audit Messages            

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428340]" dev=sockfs ino=428340 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428350]" dev=sockfs ino=428350 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428351]" dev=sockfs ino=428351 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428387]" dev=sockfs ino=428387 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428366]" dev=sockfs ino=428366 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428355]" dev=sockfs ino=428355 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428361]" dev=sockfs ino=428361 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428357]" dev=sockfs ino=428357 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428371]" dev=sockfs ino=428371 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428363]" dev=sockfs ino=428363 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428368]" dev=sockfs ino=428368 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428396]" dev=sockfs ino=428396 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=AVC msg=audit(1235078080.938:23130): avc:  denied  { read write } for  pid=20442 comm="ifconfig" path="socket:[428373]" dev=sockfs ino=428373 scontext=unconfined_u:system_r:ifconfig_t:s0 tcontext=unconfined_u:system_r:initrc_t:s0 tclass=unix_stream_socket

node=dc81 type=SYSCALL msg=audit(1235078080.938:23130): arch=c000003e syscall=59 success=yes exit=0 a0=b32870 a1=b59f50 a2=b67710 a3=8 items=0 ppid=20441 pid=20442 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=56 comm="ifconfig" exe="/sbin/ifconfig" subj=unconfined_u:system_r:ifconfig_t:s0 key=(null)


How reproducible:

Always reproducible.

Steps to Reproduce:
1. configure two identical node with Fedora 9 and heartbeat
2. trigger a failover with "/usr/share/heartbeart/hb_standby" on the primary node
3. the secondary node now tried to take over the shared service IP address and subsequently generated this error message
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 23:34:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:24:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.